import requests
from requests_html import HTMLSession
from bs4 import BeautifulSoup
import re
from lxml import etree


class Medium:
    def __init__(self, qtitle, keywords=[], description=""):
        self.qtitle = qtitle
        self.keywords = keywords
        self.description = description
        self.urls = []
        self.session = HTMLSession()

    def searchArticles(self):
        """
        Search details using google dorks,
        With google dorks we can filter out other search results from other web sites.
        """
        html_page = requests.get(
            f"https://google.com/search?q=site%3Amedium.com+{self.qtitle}"
        )

        soup = BeautifulSoup(html_page.content, "html.parser")

        for link in soup.findAll("a"):
            if "https://medium.com" in link["href"]:
                self.urls.append(self.extractMediumURLS(link["href"]))
        self.viewArticle(self.urls[0])

    def extractMediumURLS(self, uriString):
        """
        Remove unwanted characters from the url string and filter out the targeted url
        """
        uriTrimmed = uriString[7:]
        uriTrimmed = re.match(r"^.*?\&sa=", uriTrimmed).group(0)
        return uriTrimmed.replace("&sa=", "")

    def viewArticle(self, url):
        html_page = self.session.get(url)
        html_page.html.render(timeout=20)

        # soup = BeautifulSoup(html_page.content, "html.parser")
        # dom = etree.HTML(str(soup))
        with open("medium.html", "wb") as med:
            med.write(html_page.content)
            med.close()
        with open("medium.html", encoding="utf8") as sf:
            soup = BeautifulSoup(sf, "html.parser")
            dom = etree.HTML(str(soup))
            # art = dom.xpath('//*[@class="a b c"]')[0]
            # print(etree.tostring(art))
            title = dom.xpath('//*[@class="ap aq ar as at ff av w"]/div/h1')[0].text
            article = dom.xpath('//*[@class="ap aq ar as at ff av w"]')[0]
            with open(f"article-{title.replace(' ','')}.html", "wb") as artFile:
                artFile.write(etree.tostring(article))
                artFile.close()
