from youtube import Youtube
from Medium import Medium
from stof import STOF
import sys
from database import get_database


def saveAnswer(ans_id, stackoverflow, videos):
    db = get_database()
    try:
        from bson.objectid import ObjectId

        automatedanswers = db["automatedanswers"]
        automatedanswers.update_one(
            {"_id": ObjectId(ans_id)},
            {"$set": {"youtube": videos, "stackoverflow": stackoverflow}},
        )
    except NameError as err:
        print(err)


if __name__ == "__main__":
    # title = input("Enter question title: ")
    title = sys.argv[1]  # "python django or flask for web development"
    tags = sys.argv[2]  # ["react"]
    AUTO_ANS_ID = sys.argv[3]  # "60d746076689344694ad9e30"  #

    stack = STOF(title)
    ans = stack.searchQuestion()
    print(ans)
    # medium = Medium(title)
    # medium.searchArticles()
    # f = open("data.txt", "a")
    # f.write(f"updated {title} {tags} {AUTO_ANS_ID}\n")
    # f.close()

    youtube = Youtube(title, tags)
    videos = youtube.find_videos()
    saveAnswer(AUTO_ANS_ID, ans, videos)
    print("WORKED")
    sys.stdout.flush()
