import Link from 'next/link'
import React from 'react'
import { Bold, Title } from '../../styled-text-spans/index'
import styles from './similar-question.module.css'

const SimilarQuestion = ({ question }) => {
  const { title, author, url, views, comments } = question
  return (
    <Link
      href="/questions/[slug]"
      as={`/questions/6087be20b0c06a179059dfa8-how-to-center-a-div-element-vertically`}
    >
      <div className={styles.similarquestion}>
        <Link href="/users/[user]" as={`/users/${author.username}`}>
          <div className={styles.userwrapper}>
            <img
              className={styles.profilephoto}
              src={author.profilePhoto}
              alt={author.username}
            />
            <Bold text={`@${author.username}`} />
          </div>
        </Link>
        <div className={styles.questionwrapper}>
          <Title title={title} />
          <div>
            <Bold text={views} /> Views and <Bold text={comments} />
            Comments
          </div>
        </div>
      </div>
    </Link>
  )
}

export default SimilarQuestion
